<?php
/**
* @version	$Id: discount_items_tag_processor.php 12739 2009-10-20 19:38:22Z alex $
* @package	In-Commerce
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license	Commercial License
* This software is protected by copyright law and international treaties.
* Unauthorized reproduction or unlicensed usage of the code of this program,
* or any portion of it may result in severe civil and criminal penalties,
* and will be prosecuted to the maximum extent possible under the law
* See http://www.in-portal.org/commercial-license for copyright notices and details.
*/

defined('FULL_PATH') or die('restricted access!');

class DiscountItemsTagProcessor extends kDBTagProcessor  {

	function IsEntireOrder($params)
	{
		$table_name = $this->Application->getUnitOption($this->Prefix, 'TableName');

		if ($this->Application->IsTempMode($this->Prefix)) {
			$table_name = $this->Application->GetTempName($table_name, 'prefix:' . $this->Prefix);
		}

		$sql = 'SELECT COUNT(*)
				FROM ' . $table_name . '
				WHERE (ItemType = 0) AND (DiscountId = ' . $this->Application->GetVar('d_id') . ')';
		return $this->Conn->GetOne($sql);
	}

	function ItemIcon($params)
	{
		$object =& $this->getObject($params);
		/* @var $object kDBList */

		if ($object->GetDBField('ItemType') == 2) {
			$cat_object =& $this->Application->recallObject('c');
			$cat_object->Load( $object->GetDBField('CategoryId') );
			$cat_tag_processor =& $this->Application->recallObject('c_TagProcessor');

			return $cat_tag_processor->ItemIcon();
		}

		return parent::ItemIcon($params);
	}

}